using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATRightAllowRight")]
public partial class AtrightAllowRight
{
    [Key]
    public int Id { get; set; }

    [StringLength(255)]
    public string Name { get; set; } = null!;

    [InverseProperty("AllowRightsNavigation")]
    public virtual ICollection<AtprocessDocumentTemplateRight> AtprocessDocumentTemplateRights { get; set; } = new List<AtprocessDocumentTemplateRight>();

    [InverseProperty("AllowRightsNavigation")]
    public virtual ICollection<Atright> Atrights { get; set; } = new List<Atright>();
}
